Get File Status
Poll a file's processing status after upload. You can see files you uploaded and files shared with you through the chat, app, workflow or agent they belong to.
Path Parameters
- Type: stringfile
_uuid requiredFile ID returned by the upload
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for get/files/{file_uuid} /status
curl 'https://ai.hatz.ai/v1/files/{file_uuid}/status' \
--header 'X-API-Key: YOUR_SECRET_TOKEN'
{
"file_uuid": "8fb5bc1d-5a8d-4015-86a6-b0ca394e7793",
"status": "ready",
"tokens": 1840,
"error": null,
"original_filename": "report.pdf",
"mime_type": "application/pdf",
"bytes": 1048576
}